import { type Base, genBase } from "./_base"

export interface MedicationItemDist extends Base {
  medicationItem_id: number
  nurse_id: number
  dateTime: string
  remain?: number
}

export function genMedicationItemDist(): MedicationItemDist {
  return {
    ...genBase(),
    medicationItem_id: 0,
    nurse_id: 0,
    dateTime: '',
  }
}
